
ABCD - Bug #294

rename duplicate element Permit

11/15/2016 01:49 PM - M. Petersen

Status: Feedback Start date: 11/15/2016

Priority: Normal Due date:  

Assignee: G. Dröge % Done: 100%

Category: Element Name Estimated time: 0.00 hour

Target version: ABCD 3.0   

Description

In 2.06f the permit section became a bit more complex. Previously the element //Unit/Gathering/Permits contained the repeatable

element Permit which would contain free text about any permits regarding the gathering event (Description: "A reference to or the

text of a permit related to the gathering."). But with 2.06f //Unit/Gathering/Permits/Permit would become a container element for

several subelements (e.g. PermitInfo and PermitType ), one of which was again an element called "Permit" (now having the XPath

//Unit/Gathering/Permits/Permit/Permit ) of type StringL which is the same concept as the previous (//Unit/Gathering/Permits/Permit).

This element should be renamed into something else, e.g. PermitText to avoid the confusion with the now container element Permit.

XPath: DataSets/DataSet/Units/Unit/Gathering/Permits/Permit/Permit

History

#1 - 01/23/2017 01:44 PM - D. Fichtmüller

- Tracker changed from Support to Bug

- Project changed from ABCD 3.0 Project to ABCD

- Subject changed from Fehler im xpath zum Container Permit to rename duplicate element Permit

- Description updated

- Category set to Element Name

#2 - 02/21/2017 02:14 PM - L. Lertsutham

- Description updated

#3 - 11/26/2018 09:51 AM - F. Reimeier

- Status changed from New to Feedback

- Target version set to ABCD 3.0

- % Done changed from 0 to 100

In ABCD 3.0 DataSets/DataSet/Units/Unit/Gathering/Permits/Permit/Permit will be renamed to DataSets/DataSet/Units/Unit/Gathering/Permits/Permit/

Text.
